ade0b226822ac05ac9f2298f67bc74288056ec41
[openwrt/openwrt.git] / toolchain / binutils / Config.in
1 # Choose binutils version.
2
3 choice
4 prompt "Binutils Version" if TOOLCHAINOPTS
5 default BINUTILS_VERSION_2_23_1 if (aarch64 || aarch64_be)
6 default BINUTILS_VERSION_2_20_1 if avr32
7 default BINUTILS_VERSION_LINARO if !avr32
8 help
9 Select the version of binutils you wish to use.
10
11 config BINUTILS_VERSION_2_20_1
12 depends on avr32
13 bool "binutils 2.20.1"
14
15 config BINUTILS_VERSION_LINARO
16 depends on !avr32 || (avr32 && BROKEN)
17 bool "Linaro binutils 2.24"
18
19 endchoice
20
21 config EXTRA_BINUTILS_CONFIG_OPTIONS
22 string
23 prompt "Additional binutils configure options" if TOOLCHAINOPTS
24 default ""
25 help
26 Any additional binutils options you may want to include....
27
28 config BINUTILS_VERSION
29 string
30 prompt "Binutils Version" if (TOOLCHAINOPTS && NULL)
31 default "2.20.1" if BINUTILS_VERSION_2_20_1 || avr32
32 default "linaro" if BINUTILS_VERSION_LINARO
33 default "linaro"